Bug 36323 - koha_perl_deps.pl can be run from the UI
Summary: koha_perl_deps.pl can be run from the UI
Status: Pushed to oldoldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: Main
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords: additional_work_needed
Depends on:
Blocks: 36348
  Show dependency treegraph
 
Reported: 2024-03-14 15:51 UTC by Jonathan Druart
Modified: 2024-04-05 14:39 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00,23.11.04,23.05.10,22.11.16,22.05.20


Attachments
Bug 36323: Move koha_perl_deps.pl to misc/devel (565 bytes, patch)
2024-03-18 15:34 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 36323: Move koha_perl_deps.pl to misc/devel (630 bytes, patch)
2024-03-19 11:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 36323: Move koha_perl_deps.pl to misc/devel (686 bytes, patch)
2024-03-19 17:23 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2024-03-14 15:51:33 UTC
Without being logged in...

What's this script? Why/When do we need it?
Comment 1 Jonathan Druart 2024-03-14 15:51:45 UTC
http://localhost:8081/cgi-bin/koha/koha_perl_deps.pl
Comment 2 David Cook 2024-03-14 22:54:28 UTC
It's a dev/sysadmin only script I believe, so it would only run in a git install - not a tarball or package install. 

If you were doing a tarball install, you could run it on your system before trying to install to figure out what Perl dependencies you're missing. 

This relates to the problem we have with our codebase of having our web scripts at the top-level of the directory (instead of somewhere like a "src" or "public" directory). Changing that is an argument I've had on and off for years though heh.
Comment 3 Jonathan Druart 2024-03-15 07:39:19 UTC
Yes, just noticed it was not copied in Makefile.PL. So I guess it's not a problem.
Comment 4 Martin Renvoize 2024-03-18 10:58:55 UTC
I'd be onboard with a shift to /public, /src or /web for all our controller scripts.
Comment 5 Martin Renvoize 2024-03-18 11:00:13 UTC
We did start down that road on bug 9949.. I think you had some alternative options David, but likely time got the better of you.
Comment 6 Fridolin Somers 2024-03-18 15:32:02 UTC
This is an issue for dev installs

I propose we move it to misc/devel
Comment 7 Fridolin Somers 2024-03-18 15:34:44 UTC
Created attachment 163341 [details] [review]
Bug 36323: Move koha_perl_deps.pl to misc/devel
Comment 8 Fridolin Somers 2024-03-18 15:44:54 UTC
And remove from t/db_dependent/00-strict.t ?
Comment 9 Fridolin Somers 2024-03-18 15:48:00 UTC
I found those pages to fix :
https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_git
https://wiki.koha-community.org/wiki/Install_and_Setup_Koha_to_use_Git_on_a_Development_Server

No need to fix pages related to old Koha version 3.x
Comment 10 Martin Renvoize 2024-03-19 11:54:15 UTC
Created attachment 163423 [details] [review]
Bug 36323: Move koha_perl_deps.pl to misc/devel

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2024-03-19 11:54:31 UTC
This seems very sensible to me.. Signing off.
Comment 12 Nick Clemens (kidclamp) 2024-03-19 17:23:17 UTC
Created attachment 163466 [details] [review]
Bug 36323: Move koha_perl_deps.pl to misc/devel

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 13 Katrin Fischer 2024-03-20 16:45:02 UTC
Pushed to master-security.
Comment 14 wainuiwitikapark 2024-03-20 22:51:57 UTC
Backported to 22.05.x-security for 22.05.20
Comment 15 Fridolin Somers 2024-03-21 09:08:40 UTC
Looks like with this there is no need for koha_perl_deps.pl to be in xt/find-missing-auth_checks.t ?
See patch
Bug 24879: Exclude koha_perl_deps.pl
Comment 16 Fridolin Somers 2024-04-03 12:10:43 UTC
(In reply to Fridolin Somers from comment #15)
> Looks like with this there is no need for koha_perl_deps.pl to be in
> xt/find-missing-auth_checks.t ?
> See patch
> Bug 24879: Exclude koha_perl_deps.pl

Bah it has been released to lets forget ;)
Comment 17 Jonathan Druart 2024-04-05 14:39:20 UTC
New warning on Jenkins Koha_Master_U20/1162

koha_1       | Can't stat koha_perl_deps.pl: No such file or directory
koha_1       |  at /usr/share/perl5/Test/Strict.pm line 151.

I guess it's coming from t/db_dependent/00-strict.t